%define  miscver   0.1.5
%define  miscname  miscsplashutils

Distribution:	CCux
Packager:  	Christian Metzen <metzench@ccux-linux.de>

Summary:      	Graphical System Boot Utilities
Name:         	splashutils
URL:          	http://dev.gentoo.org/~spock/projects/fbsplash/
Version:      	1.5.4.3
Release:      	5
License:      	GPL
Group:        	System/Configuration/Boot and Init
Source0:      	splashutils-%{version}.tar.bz2
Source1: 	%{miscname}-%{miscver}.tar.bz2
BuildRoot:    	%{_tmppath}/%{name}-%{version}-build
Provides:	bootsplash = 3.2-5
Obsoletes:	bootsplash < 3.2-5

BuildRequires:	klibc-devel

#Automatically resolved build dependencies
BuildRequires: freetype-devel
BuildRequires: glibc-devel
BuildRequires: gpm-devel
BuildRequires: lcms-devel
BuildRequires: libjpeg-devel
BuildRequires: libmng-devel
BuildRequires: libpng-devel
BuildRequires: perl
BuildRequires: pkg-config
BuildRequires: zlib-devel

%description
fbsplash (formerly gensplash) is a userspace implementation of a splash screen for Linux systems.
It provides a graphical environment during system boot using the Linux framebuffer layer.

fbsplash follows a design policy of being simple, lightweight and fast. To reduce bloat, it uses
only a few most important libraries and does not require X11. The code is optimized to have minimal
impact on boot-up time.

%package devel
Summary: 	Headers and libraries for splashutils development
Group: 		Development/Libraries
Requires: 	%{name} = %{version}


%description devel
splashutils development package. Contains files needed for doing
development using splashutils.

%prep
%setup -q -b1 -n %{name}-%{version}

%build
./configure --with-mng
make
cd ../%{miscname}-%{miscver}
make
make SUBDIRS=fbtruetype kbd

%install
rm -rf ${RPM_BUILD_ROOT}
make install DESTDIR=${RPM_BUILD_ROOT}
cd ../%{miscname}-%{miscver}
make DESTDIR=%buildroot SUBDIRS=fbtruetype install
cd kbd
install -m 755 fgconsole %{buildroot}/lib/splash/bin/
cd %{buildroot}/sbin
ln -s ../lib/splash/bin/fbres .
install -m 755 -d %{buildroot}/lib/splash/cache
install -m 755 -d %{buildroot}/lib/splash/tmp

%files
/lib/splash/bin/fbres
/lib/splash/bin/usleep
/lib/splash/bin/fgconsole
%dir /lib/splash/cache
%dir /lib/splash/tmp
/sbin/fbres
/sbin/fbtruetype
/sbin/fbtruetype.static 
/sbin/splash_util.static
/sbin/fbcondecor_helper
/usr/sbin/fbcondecor_ctl
/usr/sbin/fbsplashd
/sbin/fbsplashd.static
%_bindir/splash_manager
%_bindir/splash_resize
%_bindir/splash_util
%_libdir/libfbsplash.so.*
%_libdir/libfbsplashrender.so.*
/sbin/fbcondecor_ctl.static
/sbin/fbsplashctl
%_docdir/splashutils
#dont package these
%exclude /sbin/splash-functions.sh
%exclude /usr/bin/splashy2fbsplash.py
%exclude /usr/sbin/splash_geninitramfs
%exclude %_bindir/bootsplash2fbsplash

%files devel
%_includedir/fbsplash.h
%_libdir/pkgconfig/*.pc
%_libdir/libfbsplash.so
%_libdir/libfbsplashrender.so
%_libdir/libfbsplash.a
%_libdir/libfbsplashrender.a
%_libdir/libfbsplash.la
%_libdir/libfbsplashrender.la

%clean
rm -rf %{buildroot}

%changelog
* Mon Jul 20 2009 Karsten Brockmann <arcam@ccux-linux.de> 1.5.4.3-5
- rebuilt against libjpeg 7
* Thu Jan 29 2009 Christian Metzen <metzench@ccux-linux.de> 1.5.4.3-4
- add missing directories, dont package unneeded binaries
* Sat Jan 24 2009 Christian Metzen <metzench@ccux-linux.de> 1.5.4.3-3
- remove fifo patch again
* Tue Jan 21 2009 Christian Metzen <metzench@ccux-linux.de> 1.5.4.3-2
- add fifo patch
* Tue Jan 21 2009 Christian Metzen <metzench@ccux-linux.de> 1.5.4.3-1
- Version update
* Thu Oct 23 2008 Christian Metzen <metzench@ccux-linux.de> 1.5.4.2-1
- Version update
* Fri Nov 02 2007 Christian Metzen <metzench@ccux-linux.de> 1.5.2.1-5
- some file excludes, corrected package URL
* Thu Nov 01 2007 Christian Metzen <metzench@ccux-linux.de> 1.5.2.1-4
- added fgconsole build
* Sun Oct 28 2007 Christian Metzen <metzench@ccux-linux.de> 1.5.2.1-3
- added miscsplashutils
* Sat Oct 27 2007 Christian Metzen <metzench@ccux-linux.de> 1.5.2.1-2
- splitted devel package
* Fri Oct 12 2007 Christian Metzen <metzench@ccux-linux.de> 1.5.2.1-1
- Initial Release
